Quassel IRC - Bug #516

Default Username should be users account name
02/05/2009 05:45 PM - jussiO1

Status: Resolved Start date: 02/05/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Linux
Description

By proxy from IRC :D

<Riddell> Sput: why is the default username not the users's account name?

Related issues:

Related to Quassel IRC - Bug #517: Real Name should be set from /etc/passwd Resolved 02/05/2009

Associated revisions

Revision 9e5ced750e86fc8b5d0d6b69b927323a2de7c3ec - 02/11/2009 10:23 PM - Manuel Nickschas

Use login name as default nick on Unix, fixes #516

Revision 9e5ced75 - 02/11/2009 10:23 PM - Manuel Nickschas

Use login name as default nick on Unix, fixes #516

History

#1 - 02/05/2009 08:03 PM - EgS

This should only apply in Mono mode.

If Quassel(core) is used as a service this could expose confidential data to the users.

#2 - 02/07/2009 05:01 PM - EgS
EgS wrote:

This should only apply in Mono mode.

If Quassel(core) is used as a service this could expose confidential data to the users.

This makes also sense in the Client only version, as we no longer create identities in the core.

#3 - 02/07/2009 05:01 PM - EgS
- % Done changed from 0 to 30

Using Mac OS CoreServices to determine a proper default nick

#4 - 02/07/2009 06:47 PM - EgS
- % Done changed from 30 to 70

Windows uses now GetUserNameEx from the Secur32 library to determine the login name and uses that

#5 - 02/11/2009 12:54 AM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.4.0

- OS set to Linux
#6 - 02/11/2009 10:35 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 70 to 100

Applied in changeset 7 i 27323a2de7. .
